Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface PageView

All Superinterfaces:
  MarkupBasedView, NavigableView, Serializable, ThemedMarkupBasedView, View

public interface PageView
extends NavigableView, ThemedMarkupBasedView

Field Summary

Fields inherited from interface com.bea.netuix.application.view.NavigableView
`ALIGNMENT_LEFT, ALIGNMENT_RIGHT`

Method Summary
`int` | `getBookCount()` A convenience method for retrieving a total count of all the books in all the placeholders on this page.
`BookGroupId` | `getBookGroupId()`
`BookView` | `getBookView(BookInstanceId bookInstanceId)` Retrieve a BookView matching the supplied database instance id.
`BookView` | `getBookView(String label)` Retrieve a BookView matching the supplied label.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Retrieve a BookView matching the supplied database instance id.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Retrieve a BookView matching the supplied database definition label.
`BookView[]` | `getBookViews()` Retrieves a list of all books in all placeholders on this page.
`LayoutView` | `getLayoutView()`
`LocalizationResourceView` | `getLocalizationResourceView()`
`PageDefinition` | `getPageDefinition()`
`PageDefinitionId` | `getPageDefinitionId()`
`PageInstance` | `getPageInstance()`
`PageInstanceId` | `getPageInstanceId()`
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Retrieve a PageView matching the supplied database instance id.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Retrieve a PageView matching the supplied database definition label.
`int` | `getPlaceableCount()` A convenience method for retieving a total count of all placeables (Books and Portlets) in all the placeholders on this page.
`PlaceableView` | `getPlaceableView(String label)` Return a PlaceableView (PortletView or BookView) matching the supplied label.
`PlaceableView[]` | `getPlaceableViews()` A method for retrieving an ordered list of all the placeables (Books and Portlets) in all the placeholders on this page.
`int` | `getPlaceholderCount()` A convenience method for retieving a count of Placeholders in the current Layout on this page.
`PlaceholderView[]` | `getPlaceholderViews()` A method for retrieving an ordered list of all the placeholders in this page.
`int` | `getPortletCount()` A convenience method for retrieving a total count of all the portlets in all the placeholders on this page.
`PortletView` | `getPortletView(PortletInstanceId portletInstanceId)` Retrieve a PortletView matching the supplied database instance id.
`PortletView` | `getPortletView(String instanceLabel)` Retrieve a PortletView matching the supplied instance label.
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)`
`PortletView` | `getPortletViewRecursive(String portletInstanceLabel)`
`PortletView[]` | `getPortletViews()` Retrieves a list of all portlets in all placeholders on this page.
`PortletView[]` | `getPortletViews(String definitionLabel)` Retrieve an array PortletViews matching the supplied definition label.
`String` | `getWebAppName()`

Methods inherited from interface com.bea.netuix.application.view.NavigableView
`getAlignment, getDefinitionLabel, getMenuPosition, getNavigableDefinition, getNavigableInstance, isDefaultPage, isHidden`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Methods inherited from interface com.bea.netuix.application.view.ThemedMarkupBasedView
`getThemeView`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Method Detail

### getPageInstanceId

    public PageInstanceId getPageInstanceId()

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

### getBookGroupId

    public BookGroupId getBookGroupId()

### getPageInstance

    public PageInstance getPageInstance()

### getPageDefinition

    public PageDefinition getPageDefinition()

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

  Specified by:
    `getLocalizationResourceView` in interface `NavigableView`

### getLayoutView

    public LayoutView getLayoutView()

### getPortletViews

    public PortletView[] getPortletViews()

  Retrieves a list of all portlets in all placeholders on this page. For an ordered lists see `getPlaceableViews()`

  .

  Returns:
    array of PortletView obkect in no particular order.

### getPortletCount

    public int getPortletCount()

  A convenience method for retrieving a total count of all the portlets in all the placeholders on this page.

  Returns:
    a count of all the portlets in all the palceholders on this page.

### getBookViews

    public BookView[] getBookViews()

  Retrieves a list of all books in all placeholders on this page. For an ordered lists see `getPlaceableViews()`

  .

  Returns:
    array of BookView obkect in no particular order.

### getBookCount

    public int getBookCount()

  A convenience method for retrieving a total count of all the books in all the placeholders on this page.

  Returns:
    a count of all the books in all the palceholders on this page.

### getPlaceableViews

    public PlaceableView[] getPlaceableViews()

  A method for retrieving an ordered list of all the placeables (Books and Portlets) in all the placeholders on this page. For just a list of placeables in a particular placeholder see PlaceholderView.

  Returns:
    an in order array of Placeable objects. The order of placeables is determined by the first placeholder and it's orders placeables followed by the next placeholder and all it's palceables, and so on...

### getPlaceableCount

    public int getPlaceableCount()

  A convenience method for retieving a total count of all placeables (Books and Portlets) in all the placeholders on this page.

  Returns:
    a count of all the placeables (Books a& Portlets) in all the palceholders on this page.

### getPlaceholderViews

    public PlaceholderView[] getPlaceholderViews()

  A method for retrieving an ordered list of all the placeholders in this page. The order of the placeholders is determined by the placeholders `getLocation()` index.

  Returns:
    an ordered array of PlaceholderView objects.

### getPlaceholderCount

    public int getPlaceholderCount()

  A convenience method for retieving a count of Placeholders in the current Layout on this page.

  Returns:
    a count of number of Placeholders on this page's layout.

### getPortletView

    public PortletView getPortletView(String instanceLabel)

  Retrieve a PortletView matching the supplied instance label.

  Parameters:
    `instanceLabel` - the instance label of the portlet
  Returns:
    a portletView or null if one was not found.

### getPortletView

    public PortletView getPortletView(PortletInstanceId portletInstanceId)

  Retrieve a PortletView matching the supplied database instance id.

  Parameters:
    `portletInstanceId` - the database instance id of the portlet
  Returns:
    a portletView or null if one was not found.

### getPortletViews

    public PortletView[] getPortletViews(String definitionLabel)

  Retrieve an array PortletViews matching the supplied definition label. Since more then one instance can share the same definiiton lable we return an array

  Parameters:
    `definitionLabel` - the definition label of the portlets
  Returns:
    a array of portletViews or empty array

### getBookView

    public BookView getBookView(String label)

  Retrieve a BookView matching the supplied label.

  Parameters:
    `label` -
  Returns:
    a bookView or null if one was not found.

### getBookView

    public BookView getBookView(BookInstanceId bookInstanceId)

  Retrieve a BookView matching the supplied database instance id.

  Parameters:
    `bookInstanceId` - the database instance id of the book
  Returns:
    a bookView or null if one was not found.

### getBookViewRecursive

    public BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Retrieve a BookView matching the supplied database instance id. This search does not stop with the immediate children.

  Parameters:
    `bookInstanceId` - the database instance id of the book
  Returns:
    a bookView or null if one was not found.

### getBookViewRecursive

    public BookView getBookViewRecursive(String bookDefinitionLabel)

  Retrieve a BookView matching the supplied database definition label. This search does not stop with the immediate children.

  Parameters:
    `bookDefinitionLabel` - the deifnition label fo rthe book
  Returns:
    a bookView or null if one was not found.

### getPageViewRecursive

    public PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Retrieve a PageView matching the supplied database instance id. This method will perfomr a deep search on the nested books.

  Parameters:
    `pageInstanceId` - the database instance id of the page
  Returns:
    a pageView or null if one was not found.

### getPageViewRecursive

    public PageView getPageViewRecursive(String pageDefinitionLabel)

  Retrieve a PageView matching the supplied database definition label. This method will perfomr a deep search on the nested books.

  Parameters:
    `pageDefinitionLabel` - the definition label of the page
  Returns:
    a pageView or null if one was not found.

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(String portletInstanceLabel)

### getPlaceableView

    public PlaceableView getPlaceableView(String label)

  Return a PlaceableView (PortletView or BookView) matching the supplied label. Note: portlets a searched first so if a book and a portlet have the same label (which is possible) then the portletview would be returned. If you need the BookView or PortletView explicitly then call `getBookView(String defintionLabel) or getPortletView(String instanceLabel)`.

  Parameters:
    `label` - - instance label for portlets and definition label for books
  Returns:
    A BookView of PortletView.

### getWebAppName

    public String getWebAppName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved